# std::unordered_multimap<Key,T,Hash,KeyEqual,Allocator>::emplace_hint

From cppreference.com
< cpp‎ | container‎ | unordered multimap

template <class... Args> iterator emplace_hint( const_iterator hint, Args&&... args ); |  | (since C++11)

Inserts a new element to the container, using `hint` as a suggestion where the element should go. The element is constructed in-place, i.e. no copy or move operations are performed.

The constructor of the element type (`value_type`, that is, std::pair<const Key, T>) is called with exactly the same arguments as supplied to the function, forwarded with std::forward<Args>(args)....

If rehashing occurs due to the insertion, all iterators are invalidated. Otherwise iterators are not affected. References are not invalidated. Rehashing occurs only if the new number of elements is greater than max_load_factor()*bucket_count().

### Parameters

hint | - | iterator, used as a suggestion as to where to insert the new element
args | - | arguments to forward to the constructor of the element

### Return value

Returns an iterator to the newly inserted element.

### Exceptions

If an exception is thrown by any operation, this function has no effect (strong exception guarantee).

### Complexity

Amortized constant on average, worst case linear in the size of the container.

### See also

emplace | constructs element in-place (public member function)
insert | inserts elements or nodes (since C++17) (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multimap/emplace_hint&oldid=85282"